function ObjFnVal=GMA_ObjFn(Beta, W)

[~,S,~,~,r,~]=User_GeneralInputs();

% Call empirical signatures and simulated signatures based on Beta:
[EmpSign, SimSign_S]=GMA_Signatures(Beta,S,r);
SimSign=sum(SimSign_S, 2)/S;

%% Objective function
E = EmpSign - SimSign; % The difference between empirical and simulated signatures
ObjFnVal=E' * W * E ; % Objective function used by the optimization solver

end