% To estimated weighting matrix W based on estimated parameter (Beta)

function [W,SS]=GMA_W_star(Beta,r)

[~, ~,S_large,~,~,~]=User_GeneralInputs();

% simulation based on the estimated Beat
[~,SimSig]=GMA_Signatures(Beta,S_large,r); % S_large is the number of
% Simulations (larger than S, to better estimate the covariance matrix).

SS=cov(SimSig'); % SS: covariance matrix of the simulated signatures 
W=inv(SS);  % Inverse of SS

end