% To generate simulated explanatory variables (X)

function [X]=User_DataGeneration(SIGMA,n,s,r)

mu=[0,0,0]; % mean of each variable. In this example, there are three variables, X1-X3

%% multivariate random data generation (X)
rng(s+r*2000) % to control the random generation process (i.e., fix the noise seed
% based on s (number of simulations) and r (number of replications for bootstrapping).

X = mvnrnd(mu,SIGMA,n); % explanatory variables; multivariate normal random variables

end