% To be completed by the user; includes information to run the optimization search
 
function [Beta_int,Opt_lb,Opt_ub,Opt_Tolrnc,Opt_method,Opt_MS_inst]=User_OptInitiation()
 
Beta_int = [0.5 0.5 0.5 0.5 0.5 ];  % start points for the optimization search
% see 'User_Meta_Model' for the structure of meta model and how Beta_int is used there.
 
% lb: lower bound for Beta used by the optimization solver. 
% In this example, the last number represents standard deviation which 
% should be a positive number.
Opt_lb = [-inf -inf -inf -inf 0  ];
% ub: upper bound for Beta
Opt_ub = [ inf  inf  inf  inf inf ];
 
Opt_Tolrnc = 1e-6;
% Tolerance, used by the optimization solver, is a threshold which,
% if crossed, the iterations of the optimization solver are stopped.
 
Opt_method='MS'; % 'MS' or 'GS'
% MS: Multi-start. 
% GS: Global search. See MATLAB help for more information on MS and GS.
 
Opt_MS_inst=1; % If 'MS' is selected, the number of instances of start pints
% should be specified.
end

