function [ConfDown, ConfUp]=GMA_Var_ConfInt(Beta, ConfLvl, Std_Beta)

ConfFactor=norminv(1-(1-ConfLvl)/2) ; % based on Student-t

% Upper and lower confidence intervals
ConfDown = Beta' - ConfFactor * Std_Beta;
ConfUp   = Beta' + ConfFactor * Std_Beta;

end